---
# ROLE DEFAULT VARS
# =================

# defined fqdn (defaults to fact fqdn)
server_fqdn: '{{ ansible_fqdn }}'

# hcloud api/cli settings
hcloud_key: '{{ lookup("env","HCLOUD_KEY") }}'
hcloud_cfg_path: '/etc/hcloud.cfg'
hcloud_env_path: '/etc/profile.d/hcloud.sh'
hcloud_cli_environment:
  HCLOUD_CONFIG: '{{ hcloud_cfg_path }}'
  HCLOUD_TOKEN: '{{ hcloud_key }}'


# vms default specs
vms_server_type: 'cx11'
vms_server_image: 'ubuntu-18.04'
vms_server_list: '{{ groups["all"] }}'
vms_server_keys:
  - name: 'default'
    key: '{{ lookup("template","files/cfg/default.ssh.pub") }}'
  - name: 'iops.ci'
    key: '{{ lookup("url","https://get.iops.at/pubkeys/iops.ci.pub") }}'

# default cloud-init configs
vms_user_data: '{{ lookup("template","files/cfg/cloud-init.cfg") }}'

# default root password
vms_default_user: 'root'
vms_default_pass: '{{ lookup("password",role_path + "/files/cfg/default.pass") }}'

# default os packages
vms_default_packages:
  - 'python3'

# dafult ssh port to use for bootstraping
vms_default_port: 22

# list of volumes to provision
vms_volumes: []
# example
  # - name: 'logs'
  #   dst_hosts: '{{ groups["all"] }}'
  #   vol_sizegb: '20'
  #   vol_dev_path: '/dev/vol-logs'
  #   vol_mnt_type: 'ext4'
  #   vol_mnt_path: '/srv/logs'




# ROLE SPECIFIC VARIABLES (CAN BE OVERWRITTEN)
# ============================================
# name of the current role
role_shortname: '{{role_path|basename}}'
# namespace to use for tiltes/outputs
role_namespace: '{{ role_shortname }}'
# default run mode (deploy, remove)
run_mode: 'deploy'
# default run options (skip_debugs, show_debugs, skip_reloads, ...)
run_opts: ''
